Package org.eclipse.viatra.transformation.evm.api.adapter

## Interface IEVMListener

- All Known Implementing Classes:
    `AbstractEVMListener`

      public interface IEVMListener

  Interface that defines the methods of EVM listener objects. The interface contains callback methods for various EVM events. Through these methods `IEVMListener` implementations can observe the internal state of an EVM program.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `activationChanged​(Activation<?> activation, ActivationState oldState, EventType event)` |
    `void` | `activationCreated​(Activation<?> activation, ActivationState inactiveState)` |
    `void` | `activationRemoved​(Activation<?> activation, ActivationState oldState)` |
    `void` | `addedRule​(RuleSpecification<?> specification, EventFilter<?> filter)` |
    `void` | `afterFiring​(Activation<?> activation)` |
    `void` | `beforeFiring​(Activation<?> activation)` |
    `void` | `disposeListener()` |
    `void` | `endTransaction​(java.lang.String transactionID)` |
    `void` | `initializeListener​(ViatraQueryEngine engine)` |
    `void` | `removedRule​(RuleSpecification<?> specification, EventFilter<?> filter)` |
    `void` | `startTransaction​(java.lang.String transactionID)` |

- - ### Method Detail

    - #### initializeListener

          void initializeListener​(ViatraQueryEngine engine)

    - #### beforeFiring

          void beforeFiring​(Activation<?> activation)

    - #### afterFiring

          void afterFiring​(Activation<?> activation)

    - #### startTransaction

          void startTransaction​(java.lang.String transactionID)

    - #### endTransaction

          void endTransaction​(java.lang.String transactionID)

    - #### activationChanged

          void activationChanged​(Activation<?> activation,
                                 ActivationState oldState,
                                 EventType event)

    - #### activationCreated

          void activationCreated​(Activation<?> activation,
                                 ActivationState inactiveState)

    - #### activationRemoved

          void activationRemoved​(Activation<?> activation,
                                 ActivationState oldState)

    - #### addedRule

          void addedRule​(RuleSpecification<?> specification,
                         EventFilter<?> filter)

    - #### removedRule

          void removedRule​(RuleSpecification<?> specification,
                           EventFilter<?> filter)

    - #### disposeListener

          void disposeListener()